#!/usr/bin/perl

# {{{ modules
use strict;
use warnings;
use batteryRows;
# }}}

my $input_dir = "./input";
my $output_dir = "./output";


opendir DIR, $input_dir or die "$!";
while (my $file_name = readdir(DIR)) {
      if ($file_name !~ /\.xls/) {
            next;
      }

      my $battery = new batteryRows;
      $battery->read_xls($input_dir."/$file_name");
      my $text_ref = $battery->output();

      # {{{ write to tex file
      $file_name =~ s/\.xls$/.tex/;

      open(my $fh, ">$output_dir/$file_name");
      print $fh $$text_ref;
      close($fh);
      # }}}
      system("pdflatex --output-directory=$output_dir $output_dir/$file_name");
}

closedir(DIR);
