package batteryRow;

use Moose;

use Node;
use HTML::Template;
use Data::Dumper;

sub  BUILD
# {{{
{
      my $self = shift;
      my $args = shift;

      my @types = ("pointer", "mnemonic-block", "comment");
      my $i = 0;
      foreach my $type ( @types)
      {
            my $node = new Node;
            $node->{name} = $args->{number}."_".$i;
            $node->set_type($type);
            $node->set_caption($args->{captions}->[$i]);

            ++$i;
            push(@{$self->{elements}}, $node);
      }
}
# }}}

sub  output
# {{{
{
      my $self = shift;

      my $output;
      my $i = 0;
      foreach( @{$self->{elements}})
      {
            my $text = $_->output();
            $output .= $$text." &\n";
            if ($i > 0) {
                  $self->{lines} .= "\\draw [line] ($_->{name}) -- (".$self->{elements}->[$i - 1]->{name}.");\n";
            }
            ++$i;
      }

      $output .= "\\\\";
      return \$output;
}
# }}}

no Moose;
__PACKAGE__->meta->make_immutable;
